/*Pagina Principal*/
.banner-porta {
    background-image: url(../img/banners/atras.png);
    padding: 141px 0 90px;
}
.banner-porta .imgFlotante > img.flotante1 {
    top: -150px;
    left: 15%;
}
.banner-porta .imgFlotante > img.flotante2 {
    top: -135px;
    right: 15%;
}
.banner-porta h1 {
    color: var(--colorBlanco);
    max-width: 810px;
    margin: 0 auto;
}
.banner-porta h1 span {
    background: linear-gradient(
        79.79deg,
        #6600FF 1.71%,
        #A36FEF 26.13%,
        #A7F8F7 60.86%,
        #00FFFE 80.29%
    );
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
    display: inline-block;
}
.banner-porta p {
    font-size: 20px;
    line-height: 1.2;
    color: var(--colorTexto);
}
.banner-porta .motiCentro {
    border-radius: 30px;
    overflow: hidden;
}
.banner-porta .motiCentro::after {
    content: '';
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(3,3,3,.2);
}
.banner-porta .motiCentro .inspira {
    position: absolute;
    left: 18%;
    top: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
}
.banner-porta .motiCentro .impulsa {
    position: absolute;
    right: 18%;
    top: 0;
    bottom: 0;
    margin: auto;
    z-index: 1;
}
.flotante1 {
    animation: orbitar 3s ease-in-out infinite;
}
.flotante2 {
    animation: flotar 2s ease-in-out infinite;
}
.crece {
    animation-delay: 0s;
}
.proyecta {
    animation-delay: .75s;
}
.inspira {
    animation-delay: 1.5s;
}
.impulsa {
    animation-delay: 2.25s;
}
@keyframes orbitar {
    0%,100% {
        transform: translateX(0);
    }
    25% {
        transform: translateX(10px) translateY(-5px);
    }
    50% {
        transform: translateX(0) translateY(-10px);
    }
    75% {
        transform: translateX(-10px) translateY(-5px);
    }
}

.callout-1 {
    padding: 90px 0;
}
.callout-1 .submenu {
    font-size: 20px;
}
.callout-1 h3 {
    background: linear-gradient(
        79.79deg,
        #6600FF 1.71%,
        #A36FEF 26.13%,
        #A7F8F7 60.86%,
        #00FFFE 80.29%
    );
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
    display: inline-block;
}
.callout-1 .cat-proyectos {
    z-index: 1;
    box-sizing: border-box;
    padding: 6px;
    gap: 10px;
    background: #141414;
    border: 2px solid #242424;
    border-radius: 30px;
    width: fit-content;
}
.callout-1 .cat-proyectos > li > a {
    padding: 10px 20px;
    font-size: 14px;
    color: var(--colorTexto);
    line-height: 1.2;
    border-radius: 20px;
    position: relative;
    overflow: hidden;
}
.callout-1 .cat-proyectos > li > a::before {
    content: '';
    position: absolute;
    inset: 0;
    background: linear-gradient(161deg, var(--color4) 20.6%, var(--color6) 100%);
    opacity: 0;
    transition: all 0.5s ease;
    z-index: 0;
}
.callout-1 .cat-proyectos > li > a:hover::before,
.callout-1 .cat-proyectos > li > a:focus::before,
.callout-1 .cat-proyectos > li.activo > a::before {
    opacity: 1;
}
.callout-1 .cat-proyectos > li > a span {
    position: relative;
    z-index: 1;
}
.callout-1 .cat-proyectos > li > a:hover span,
.callout-1 .cat-proyectos > li > a:focus span,
.callout-1 .cat-proyectos > li.activo > a span {
    color: var(--colorBlanco);
}
.callout-1 #divListaProyecto,
.callout-1 #divListaProyecto * {
    cursor: none;
}
.grid-proyectos {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 3 columnas exactamente iguales */
    gap: 12px; /* Espacio entre tarjetas */
    position: relative;
}
.item-grid-proyecto {
    aspect-ratio: 1 / 1;
    transition: opacity 0.4s ease-in-out;
}
/* Selecciona el elemento 2, 5, 8, etc. (toda la columna del centro) y la desfasa */
.item-grid-proyecto:nth-child(3n + 2) {
    transform: translateY(45px);
}

.item-grid-proyecto img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
}
#custom-cursor {
    position: fixed; /* Mantenlo fixed para que el scroll no lo rompa */
    top: 0;
    left: 0;
    width: 136px;
    height: 136px;
    pointer-events: none;

    /* SOLUCIÓN 1: Sube el z-index al máximo para que no se esconda detrás de nada */
    z-index: 99999;

    /* SOLUCIÓN 2: Separamos el centrado (-50%) del efecto de retraso (scale u otros) */
    transform: translate(-50%, -50%);
    display: none;
    transition: none !important;
}

#custom-cursor img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.callout-2 {
    padding: 20px 0;
}
.callout-2 .swiper-cliente {
    overflow: hidden;
    -webkit-mask-image: linear-gradient(to right, transparent 0%, var(--colorPagina) 10%, var(--colorPagina) 90%, transparent 100%);
    mask-image: linear-gradient(to right, transparent 0%, var(--colorPagina) 10%, var(--colorPagina) 90%, transparent 100%);
}
.callout-2 .swiper-cliente .swiper-wrapper{
    transition-timing-function: linear;
}
.callout-3 {
    background-image: url(../img/banners/comentario.png);
    min-height: 990px;
}
.callout-3 .container,
.callout-3 .container .row {
    min-height: inherit;
}
.callout-3 h5 {
    max-width: 800px;
    margin: 0 auto;
}
.callout-3 h5 span {
    position:relative;
    display:inline-block;
}
.callout-3 h5 span::before {
    content: "9 años";
    position: absolute;
    width: 177px;
    left: 2.5px;
    top: 3px;
    color: rgba(0, 0, 0, .3);
    filter: blur(1.5px);
    z-index: 0;
}
.callout-3 h5 span strong {
    position:relative;
    z-index:1;
    background:linear-gradient(79.79deg,#6600FF 1.71%,#A36FEF 26.13%,#A7F8F7 60.86%,#00FFFE 80.29%);
    -webkit-background-clip:text;
    -webkit-text-fill-color:transparent;
}
.callout-3 p {
    max-width: 700px;
    margin: 0 auto;
}
.callout-3 .FlotantesIMG {
    position: absolute;
    background: rgba(0, 0, 0, .19);
    max-width: 250px;
    border-radius: 15px;
    padding: 10px 10px 0;
    animation: flotar 3s ease-in-out infinite;
}
.callout-3 .FlotantesIMG.F01 {
    top: 37%;
    animation-delay: 0s;
}
.callout-3 .FlotantesIMG.F02 {
    top: 56%;
    padding: 0;
    max-width: 171px;
    left: 14%;
    background: transparent;
    animation-delay: .2s;
}
.callout-3 .FlotantesIMG.F03 {
    top: 70%;
    left: 12%;
    animation-delay: .4s;
}
.callout-3 .FlotantesIMG.F04 {
    top: inherit;
    bottom: 17%;
    padding: 0;
    max-width: 171px;
    left: 43%;
    background: transparent;
    animation-delay: .6s;
}
.callout-3 .FlotantesIMG.F05 {
    top: 75%;
    right: 14%;
    animation-delay: .8s;
}
.callout-3 .FlotantesIMG.F06 {
    top: 62%;
    padding: 0;
    max-width: 171px;
    right: 5%;
    background: transparent;
    animation-delay: 1s;
}
.callout-3 .FlotantesIMG.F07 {
    top: 33%;
    right: 7%;
    animation-delay: 1.2s;
}
@media screen and (max-width: 980px){
    .callout-1 .cat-proyectos {
        width: 100%;
        overflow-x: auto; /* o scroll */
        scrollbar-width: none; /* Firefox */
        -ms-overflow-style: none; /* Internet Explorer y Edge antiguo */
    }
    .callout-1 .cat-proyectos::-webkit-scrollbar {
        display: none; /* Chrome, Edge, Safari y Opera */
    }
    .banner-porta p {
        font-size: 14px;
        max-width: 278px;
        margin: 0 auto;
    }
    .banner-porta .motiCentro .inspira {
        left: 20px;
        top: inherit;
        bottom: 20px;
    }
    .banner-porta .motiCentro .impulsa {
        right: 30px;
        top: inherit;
        bottom: 45px;
    }
    .banner-porta .imgFlotante {
        width: calc(100% - 30px) !important;
    }
    .banner-porta .imgFlotante > img.flotante2 {
        top: 10px;
        right: 40px;
        z-index: 1;
    }
    .banner-porta .imgFlotante > img.flotante1 {
        top: -10px;
        left: 15px;
        z-index: 1;
    }
    .banner-porta {
        background-image: url(../img/banners/atrasm.png);
        padding: 140px 0 0;
    }
    .callout-1 {
        padding: 90px 0 0;
    }
    .callout-1 .submenu {
        font-size: 14px;
    }
    .grid-proyectos {
        grid-template-columns: repeat(2, 1fr);
    }
    .item-grid-proyecto:nth-child(3n + 2) {
        transform: none;
    }
    .item-grid-proyecto:nth-child(2n + 2) {
        transform: translateY(15px);
    }
    .callout-1 .font-20,
    .callout-3 .font-20 {
        font-size: 14px;
    }
    .callout-1 h5 img {
        max-width: 169px;
    }
    .callout-3 {
        background-image: url(../img/banners/comenmovil.png);
        min-height: 721px;
    }
    .callout-3 .FlotantesIMG.F01 {
        top: 15%;
        max-width: 185px;
        left: 10px;
    }
    .callout-3 .FlotantesIMG.F06 {
        top: 22%;
    }
    .callout-3 .FlotantesIMG.F02 {
        top: 85%;
        left: 5%;
    }
    .callout-3 .FlotantesIMG.F05 {
        top: 77%;
        right: 5%;
        max-width: 205px;
    }
    .callout-3 .FlotantesIMG.F03,
    .callout-3 .FlotantesIMG.F07,
    .callout-3 .FlotantesIMG.F04 {
        display: none;
    }
    .boton2 {
        max-width: 240px;
    }
    .boton2 span i {
        opacity: 1;
        max-width: 30px;
        margin-left: 15px;
        transform: translateX(0);
    }
}
@media screen and (max-width: 768px){
}